DCJ2K(1)

NAME
dcj2k - ACR/NEMA DICOM PS3 ... DICOM PS3 - Create J2K DICOM file

SYNOPSIS

dcj2k infile outfile kduoptions

DESCRIPTION

dcj2k reads the named dicom input file and copies the information and pixel data to a new dicom file, with the dataset compressed using the specified J2K compression options and transfer syntax, and with a meta information header prepended.

OPTIONS
The verbose output goes to standard error.

There are no options other than thosed passed through to the Kakadu kdu_compress JPEG 2000 codec.

The default with no options is lossless (reversible) compression.

The sample precision (bit depth) and signedness are extracted from the DICOM header and passed to the codec unchanged.

The transfer syntax 1.2.840.10008.1.2.4.90 is chosen if reversible compression is in use, otherwise the transfer syntax used is 1.2.840.10008.1.2.4.91.

ENVIRONMENT

EXAMPLES

# Create a lossless (reversible) compressed image
% dcj2k in.dcm out.dcm
# or
% dcj2k in.dcm out.dcm Creversible=yes
# Create a lossy compressed image with 1.0 bits per pixel
% dcj2k in.dcm out.dcm -rate 1.0

FILES

SEE ALSO
dcunjpeg(1)

AUTHOR
Copyright (C) 1993-2010. David A. Clunie DBA PixelMed Publishing. All rights reserved.

BUGS
Only single sample (not color) compression is supported for now.

Kakadu is the only codec currently supported ... auto-detection of what is installed would be nice.